Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class MethodPointerExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.MethodPointerExpression

    public class MethodPointerExpression
    extends Expression

Represents a method pointer on an object such as foo.&bar which means find the method pointer on foo for the method called "bar" which is equivalent to `foo.metaClass.getMethodPointer(foo, "bar")`

Version:
  \$Revision\$

Constructor Summary
`MethodPointerExpression(Expression expression, Expression methodName)`

Method Summary
`Expression` | `getExpression()`
`Expression` | `getMethodName()`
`java.lang.String` | `getText()`
`ClassNode` | `getType()`
`java.lang.Class` | `getTypeClass()`
`boolean` | `isDynamic()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MethodPointerExpression

    public MethodPointerExpression(Expression expression, Expression methodName)

Method Detail

### getExpression

    public Expression getExpression()

### getMethodName

    public Expression getMethodName()

### getText

    public java.lang.String getText()

### getType

    public ClassNode getType()

### getTypeClass

    public java.lang.Class getTypeClass()

### isDynamic

    public boolean isDynamic()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation